<html>
<head>
<title>OGRE: Ogre::IntersectionSceneQueryListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html">IntersectionSceneQueryListener</a></div>
<h1>Ogre::IntersectionSceneQueryListener Class Reference</h1><!-- doxytag: class="Ogre::IntersectionSceneQueryListener" -->Alternative listener class for dealing with <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting...">IntersectionSceneQuery</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::IntersectionSceneQueryListener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1IntersectionSceneQueryListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#7537def6f0635fcf975b49f65e42e5c0">~IntersectionSceneQueryListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#102ee718055fb373a090e43d27968c9e">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *first, <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *second)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when 2 movable objects intersect one another.  <a href="#102ee718055fb373a090e43d27968c9e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#97f2e6c9bfd31263f67f0ecfc6a612e6">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *movable, <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a movable intersects a world fragment.  <a href="#97f2e6c9bfd31263f67f0ecfc6a612e6"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Alternative listener class for dealing with <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting...">IntersectionSceneQuery</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Because the <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting...">IntersectionSceneQuery</a> returns results in pairs, rather than singularly, the listener interface must be customised from the standard <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00455">455</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="7537def6f0635fcf975b49f65e42e5c0"></a><!-- doxytag: member="Ogre::IntersectionSceneQueryListener::~IntersectionSceneQueryListener" ref="7537def6f0635fcf975b49f65e42e5c0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::IntersectionSceneQueryListener::~IntersectionSceneQueryListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00458">458</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="102ee718055fb373a090e43d27968c9e"></a><!-- doxytag: member="Ogre::IntersectionSceneQueryListener::queryResult" ref="102ee718055fb373a090e43d27968c9e" args="(MovableObject *first, MovableObject *second)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::IntersectionSceneQueryListener::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname"> <em>first</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname"> <em>second</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when 2 movable objects intersect one another. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>As with <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1IntersectionSceneQuery.html#1092da71d6f78d6ecee11eee06a3b1e5">Ogre::IntersectionSceneQuery</a>.</p>

</div>
</div><p>
<a class="anchor" name="97f2e6c9bfd31263f67f0ecfc6a612e6"></a><!-- doxytag: member="Ogre::IntersectionSceneQueryListener::queryResult" ref="97f2e6c9bfd31263f67f0ecfc6a612e6" args="(MovableObject *movable, SceneQuery::WorldFragment *fragment)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::IntersectionSceneQueryListener::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname"> <em>movable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&nbsp;</td>
          <td class="paramname"> <em>fragment</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a movable intersects a world fragment. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>As with <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1IntersectionSceneQuery.html#b1b25001401cf9026c9aa58e490f978f">Ogre::IntersectionSceneQuery</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:31 2008
</p>
</body>
</html>
